### Method

# EDataBook BookBackend foreach_view

since: 3.34

#### Declaration [src]

    gboolean
    e_book_backend_foreach_view (
      EBookBackend* backend,
      EBookBackendForeachViewFunc func,
      gpointer user_data
    )

#### Description [src]

Calls `func` for each existing view (as returned by e_book_backend_list_views()). The `func` can return `FALSE` to stop early.

Available since: 3.34

#### Parameters

`func`

  Type: `EBookBackendForeachViewFunc`

  An `EBookBackendForeachViewFunc` function to call.

`user_data`

  Type: `gpointer`

  User data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the call had been stopped by `func`.